Package be.ehealth.businessconnector.ssinhistory.service.impl

# Class SsinHistoryTokenServiceImpl

java.lang.Object
be.ehealth.businessconnector.ssinhistory.service.impl.SsinHistoryTokenServiceImpl

All Implemented Interfaces:
  `SsinHistoryTokenService`

public class SsinHistoryTokenServiceImpl extends Object implements SsinHistoryTokenService
Implementation for the `SsinHistoryTokenService` interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SsinHistoryTokenServiceImpl(SessionValidator sessVal, EhealthReplyValidator ehRepVal)`
  Creates a new SsinHistoryServiceImpl

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultCurrentSsinResponse`
  `consultCurrentSsin(SAMLToken token, ConsultCurrentSsinRequest request)`
  `ConsultRelatedSsinsResponse`
  `consultRelatedSsins(SAMLToken token, ConsultRelatedSsinsRequest request)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SsinHistoryTokenServiceImpl

    public SsinHistoryTokenServiceImpl(SessionValidator sessVal, EhealthReplyValidator ehRepVal) throws TechnicalConnectorException
    Creates a new SsinHistoryServiceImpl
    Throws:
      `TechnicalConnectorException`

- ## Method Details

  - ### consultRelatedSsins

    public ConsultRelatedSsinsResponse consultRelatedSsins(SAMLToken token, ConsultRelatedSsinsRequest request) throws TechnicalConnectorException
    Specified by:
      `consultRelatedSsins` in interface `SsinHistoryTokenService`
    Parameters:
      `token` -
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### consultCurrentSsin

    public ConsultCurrentSsinResponse consultCurrentSsin(SAMLToken token, ConsultCurrentSsinRequest request) throws TechnicalConnectorException
    Specified by:
      `consultCurrentSsin` in interface `SsinHistoryTokenService`
    Parameters:
      `token` -
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`